package test_data

import (
	"gitee.com/golang-module/carbon/v2"
	"testData/global"
	"testData/model"
	"testData/request"
)

func GetProductSelection(r *request.ProbabilitySelection) []string {
	var products []string
	global.PostGreSQL.Debug().Model(&model.Report{}).Where("step = ? AND created_at BETWEEN Date(?) AND Date(?)",
		r.Step, r.StartDate, carbon.Parse(r.EndDate).AddDay().Format("Y-m-d")).Group("product").Select("product").Find(&products)
	return products
}

func GetLotSelection(r *request.ProbabilitySelection) []string {
	var lots []string
	global.PostGreSQL.Model(&model.Report{}).Where("step = ? AND created_at BETWEEN Date(?) AND Date(?)",
		r.Step, r.StartDate, carbon.Parse(r.EndDate).AddDay().Format("Y-m-d")).Group("lot").Select("lot").Find(&lots)
	return lots
}
